## rock-master-20.06-simulation-mars-common-graphics-osg-text 0.20200707

=== CMakeLists.txt ===
project(osg_text)
set(PROJECT_VERSION 1.0)
set(PROJECT_DESCRIPTION "This library wraps the osgText lib and adds the possiblity to use an background color and border for text labels.")
cmake_minimum_required(VERSION 2.6)
include(FindPkgConfig)
include(CheckIncludeFileCXX)

find_package(OpenSceneGraph REQUIRED  osgDB osgText osgUtil)
include_directories(${OPENSCENEGRAPH_INCLUDE_DIRS})
link_directories(${OPENSCENEGRAPH_LIBRARY_DIRS})

set (CMAKE_REQUIRED_INCLUDES ${CMAKE_REQUIRED_INCLUDES} ${OPENSCENEGRAPH_INCLUDE_DIRS})
CHECK_INCLUDE_FILE_CXX("osg/Version" HAVE_OSG_VERSION_H)
if(${HAVE_OSG_VERSION_H})
    ADD_DEFINITIONS(-DHAVE_OSG_VERSION_H)
endif()

include_directories(src)

if(WIN32)
  add_definitions(-DMARS_PREFERENCES_DEFAULT_RESOURCES_PATH=\"'${CMAKE_INSTALL_PREFIX}/share'\")
else(WIN32)
  add_definitions(-DMARS_PREFERENCES_DEFAULT_RESOURCES_PATH=\"${CMAKE_INSTALL_PREFIX}/share\")
endif(WIN32)

set(SOURCES 
	src/Text.cpp
)

set(HEADERS
	src/Text.h
	src/TextInterface.h
)

add_library(${PROJECT_NAME} SHARED ${SOURCES})

target_link_libraries(${PROJECT_NAME}
                      ${OPENSCENEGRAPH_LIBRARIES}
)

if(WIN32)
  set(LIB_INSTALL_DIR bin) # .dll are in PATH, like executables
else(WIN32)
  set(LIB_INSTALL_DIR lib)
endif(WIN32)


set(_INSTALL_DESTINATIONS
	RUNTIME DESTINATION bin
	LIBRARY DESTINATION ${LIB_INSTALL_DIR}
	ARCHIVE DESTINATION lib
)


# Install the library into the lib folder
install(TARGETS ${PROJECT_NAME} ${_INSTALL_DESTINATIONS})

# Install headers into mars include directory
install(FILES ${HEADERS} DESTINATION include/mars/${PROJECT_NAME})

# Prepare and install necessary files to support finding of the library 
# using pkg-config
configure_file(${PROJECT_NAME}.pc.in ${CMAKE_BINARY_DIR}/${PROJECT_NAME}.pc @ONLY)
install(FILES ${CMAKE_BINARY_DIR}/${PROJECT_NAME}.pc DESTINATION lib/pkgconfig)

=== debian/changelog ===
rock-master-20.06-simulation-mars-common-graphics-osg-text (0.20200707-1~buster) unstable; urgency=low

  * Package automatically built using 'apaka'
  * repository: github:/rock-simulation/mars.git
  * branch: refs/heads/master
  * commit: da2c3a027c180219190164527076cfbfbf68099f
  * tag: 

 -- Rock Packaging Daemon (based on apaka) <rock-dev@dfki.de>  Mon, 07 Sep 2020 13:12:02 +0200

=== debian/control ===
Source: rock-master-20.06-simulation-mars-common-graphics-osg-text
Section: science
Priority: optional
Maintainer: Rock Packaging Daemon (based on apaka) <rock-dev@dfki.de>
Uploaders: Rock Packaging Daemon (based on apaka) <rock-dev@dfki.de>
Build-Depends: cdbs, debhelper (>= 8.0.0), pkg-config, dh-autoreconf, cmake, libopenscenegraph-dev
Standards-Version: 3.9.2
Homepage: http://www.rock-robotics.org

Package: rock-master-20.06-simulation-mars-common-graphics-osg-text
Architecture: any
Depends: ${shlibs:Depends}, cmake, libopenscenegraph-dev, ruby
Description: osg_text
 Text implementation to create 2d opengl (OSG) text with border and background.
